services:
  appflowy-cloud-postgres-1:
    command:
    - postgres
    container_name: appflowy-cloud-postgres-1
    entrypoint:
    - docker-entrypoint.sh
    environment:
      GOSU_VERSION: '1.17'
      LANG: en_US.utf8
      PATH: /usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/lib/postgresql/16/bin
      PGDATA: /var/lib/postgresql/data
      PG_MAJOR: '16'
      PG_VERSION: 16.10-1.pgdg12+1
      POSTGRES_DB: postgres
      POSTGRES_HOST: postgres
      POSTGRES_PASSWORD: '***SENSITIVE_VALUE*** (pass...)'
      POSTGRES_USER: postgres
    image: pgvector/pgvector:pg16
    restart: on-failure
    stop_signal: SIGINT
